Bug 14907 - set_ea_dos_attribute() fallback calling get_file_handle_for_metadata() triggers locking.tdb assert
Summary: set_ea_dos_attribute() fallback calling get_file_handle_for_metadata() trigge...
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services (show other bugs)
Version: unspecified
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-16 10:38 UTC by Ralph Böhme
Modified: 2021-11-18 06:38 UTC (History)
1 user (show)

See Also:


Attachments
Stack backtrace (70.39 KB, text/plain)
2021-11-16 10:38 UTC, Ralph Böhme
no flags Details
git-am fix for 4.15.next. (5.90 KB, patch)
2021-11-16 19:54 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2021-11-16 10:38:59 UTC
Created attachment 16995 [details]
Stack backtrace

Using get_file_handle_for_metadata() in set_ea_dos_attribute() may trigger the "attempt to lock two sharemode simultaneously" assert in get_share_mode_lock().

We already have a pathref handle, use that one, no need to call get_file_handle_for_metadata().

Have patch, need bugnumber.
Comment 1 Samba QA Contact 2021-11-16 18:52:03 UTC
This bug was referenced in samba master:

a8c0c2c9e3adc94843a236fd9374980e2c0e6bfe
Comment 2 Jeremy Allison 2021-11-16 19:54:41 UTC
Created attachment 16999 [details]
git-am fix for 4.15.next.

Cherry-pick from master.
Comment 3 Ralph Böhme 2021-11-16 20:26:40 UTC
Reassigning to Jule for inclusion in 4.15.
Comment 4 Jule Anger 2021-11-17 07:54:24 UTC
Pushed to autobuild-v4-15-test.
Comment 5 Samba QA Contact 2021-11-17 16:25:30 UTC
This bug was referenced in samba v4-15-test:

6aae2575b389fb475f70a8fc221e3e685b220ed6
Comment 6 Jule Anger 2021-11-18 06:38:06 UTC
Closing out bug report.

Thanks!